------------------------------------------------------------------------------
--
--  package Strategy (spec)
--
------------------------------------------------------------------------------
--  Standard packages:

------------------------------------------------------------------------------
--  Other packages:

with Base_Types;

------------------------------------------------------------------------------

package Strategy is

   ---------------------------------------------------------------------------
   --  procedure Initialise:

   procedure Initialise (Board : in     Base_Types.Board_Type);

   ---------------------------------------------------------------------------
   --  procedure Choose_Move:

   procedure Choose_Move (Bid  :    out Base_Types.Bid_Type;
                          Move :    out Base_Types.Command);

   ---------------------------------------------------------------------------

end Strategy;
